g.list(1)

NAME
g.list - Lists available GRASS data base files of the user-specified data type optionally using the search pattern.

KEYWORDS
general, map management, list, search

SYNOPSIS
g.list
g.list --help
g.list [-iretmpf] type=datatype[,datatype,...] [pattern=string] [exclude=string] [mapset=name[,name,...]] [separator=character] [region=name] [output=name] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-i
    Ignore case

-r
    Use basic regular expressions instead of wildcards

-e
    Use extended regular expressions instead of wildcards

-t
    Print data types

-m
    Print fully-qualified map names (including mapsets)

-p
    Pretty printing in human readable format

-f
    Verbose listing (also list map titles)

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

type=datatype[,datatype,...] [required]
    Data type(s)
    Options: raster, raster_3d, vector, label, region, group, all
    raster: raster map(s)
    raster_3d: 3D raster map(s)
    vector: vector map(s)
    label: paint label file(s)
    region: region definition(s)
    group: imagery group(s)
    all: all types

pattern=string
    Map name search pattern (default: all)

exclude=string
    Map name exclusion pattern (default: none)

mapset=name[,name,...]
    Name of mapset to list (default: current search path)
    ’.’ for current mapset; ’*’ for all mapsets in location

separator=character
    Field separator
    Special characters: pipe, comma, space, tab, newline
    Default: newline

region=name
    Name of saved region for map search (default: not restricted)
    ’.’ for current region; ’*’ for default region

output=name
    Name for output file
    If not given or ’-’ then standard output

DESCRIPTION
g.list searches for data files matching a pattern given by wildcards or POSIX Extended Regular Expressions.

NOTES
The output of g.list may be useful for other programs’ parameter input (e.g. time series for r.series) when used with separator=comma.

EXAMPLES
List all raster maps as continuous, sorted list:

g.list type=rast

List all vector maps as continuous, sorted list with MAPSET info (i.e. fully-qualified map names):

g.list type=vector -m

List all raster and vector maps ordered by mapset:

g.list type=raster -p

List all raster and vector maps as continuous, sorted list:

g.list type=rast,vect

List all available GRASS data base files:

g.list type=all

  Mapset search path
If mapset is not specified, then g.list searches for data files in the mapsets that are included in the search path (defined by g.mapsets). See g.mapsets -p.

g.list rast -p
raster map(s) available in mapset <user1>:
dmt
...
raster map(s) available in mapset <PERMANENT>:
aspect
...

Option mapset=. (one dot) lists only data files from the current mapset:

g.list rast mapset=.
...

Similarly, mapset=* (one asterisk) prints data files from all available mapsets also including those that are not listed in the current search path (see g.mapsets -l).

g.list rast mapset=* -p
raster map(s) available in mapset <landsat>:
lsat5_1987_10
...
raster map(s) available in mapset <user1>:
dmt
...
raster map(s) available in mapset <PERMANENT>:
aspect
...

  Wildcards
List all vector maps starting with letter "r":

g.list type=vector pattern="r*"

List all vector maps starting with letter "r" or "a":

g.list type=vector pattern="[ra]*"

List all raster maps starting with "soil_" or "landuse_":

g.list type=raster pattern="{soil,landuse}_*"

List certain raster maps with one variable character/number:

g.list type=raster pattern="N45E00?.meters"

Use of exclude parameter:

# without exclude:
  g.list rast pat="r*" mapset=PERMANENT
  railroads
  roads
  rstrct.areas
  rushmore
# exclude only complete word(s):
  g.list rast pat="r*" exclude=roads mapset=PERMANENT
  railroads
  rstrct.areas
  rushmore
# exclude with wildcard:
  g.list rast pat="r*" exclude="*roads*" mapset=PERMANENT
  rstrct.areas
  rushmore

  Regular expressions
List all soil maps starting with "soils" in their name:

g.list -r type=raster pattern=’^soils’

List "tmp" if "tmp" raster map exists:

g.list -r type=raster pattern=’^tmp$’

List "tmp0" ..."tmp9" if corresponding vector map exists (each map name linewise):

g.list -r type=vector pattern=’^tmp[0-9]$’

List "tmp0"..."tmp9" if corresponding vector map exists (each map name comma separated):

g.list -r type=vector separator=comma pattern=’^tmp[0-9]$’

  Extended regular expressions
List all precipitation maps for the years 1997-2012, comma separated:

g.list -e type=raster separator=comma pattern="precip_total.(199[7-9]|200[0-9]|201[0-2]).sum"

  Maps whose region overlaps with a saved region
List all raster maps starting with "tmp_" whose region overlaps with the region of "test" raster map:

g.region raster=test save=test_region
g.list type=raster pattern=’tmp_*’ region=test_region

List "tmp0"..."tmp9" vector maps whose region overlaps with the current region:

g.list -r type=vector pattern=’^tmp[0-9]$’ region=.

List all raster and vector maps whose region overlaps with the default region of the PERMANENT mapset in the current location (DEFAULT_WIND):

g.list type=rast,vect region=*

Note that, without region=*, g.list type=rast,vect simply lists all available raster and vector maps from the current search path regardless of their region.

SEE ALSO
r.series, t.list, t.rast.list, t.vect.list

Regular expressions (aka regex) - from Wikipedia, the free encyclopedia

AUTHOR
Huidae Cho
grass4u@gmail.com
based on general/manage/cmd/list.c by Michael Shapiro

SOURCE CODE

Available at: g.list source code (history)

Latest change: Thursday Dec 22 10:46:08 2022 in commit: 8de925f87be22a5c943f2969a2872a288d72f2f7

Main index | General index | Topics index | Keywords index | Graphical index | Full index

© 2003-2024 GRASS Development Team, GRASS GIS 8.3.3dev Reference Manual